--[[
    main.lua - 2014
    
    Copyright Dejaime Antônio de Oliveira Neto, 2014
    
    Released under the MIT license.
    Visit for more information:
    http://opensource.org/licenses/MIT
]]

local draw_x = 0
local draw_y = 0
local next_animation = 2
local enter = 'return' -- Löve2D calls the enter key return.

function love.load()
	
	require "AnimatedSprite"

	LoadSprite ("Smile.lua") --Will print an error.

	Lavaman = GetInstance ("LavamanSprite.lua")

end

function love.update (dt)
	UpdateInstance(Lavaman, dt)
end

function love.draw ()
	DrawInstance (Lavaman, draw_x, draw_y)
	
	love.graphics.print("Frame Rate: "..love.timer.getFPS(), 500, 450)
	love.graphics.print("PgUp & PgDown to change size: "..Lavaman.size_scale, 500, 470)
	love.graphics.print("Home & End to change speed: "..string.format("%.7f",Lavaman.time_scale), 500, 490)
	love.graphics.print("Insert & Delete to Rotate: "..string.format("%.3f",Lavaman.rotation), 500, 510)
	love.graphics.print("Enter to change animation: "..Lavaman.curr_anim, 500, 530)
	love.graphics.print("Backspace to reset the sprite", 500, 550)
	love.graphics.print("Esc to quit", 600, 570)
end

function love.mousepressed (x, y, button)
	draw_x = x
	draw_y = y
end

function love.keypressed (k)

	if k == 'pageup' then
		Lavaman.size_scale = Lavaman.size_scale * 1.25
	elseif k == 'pagedown' then
		Lavaman.size_scale = Lavaman.size_scale * 0.8

	elseif k == 'end' then
		Lavaman.time_scale = Lavaman.time_scale * 1.25
	elseif k == 'home' then
		Lavaman.time_scale = Lavaman.time_scale * 0.8

	elseif k == 'insert' then
		Lavaman.rotation = Lavaman.rotation + math.rad(15)
	elseif k == 'delete' then
		Lavaman.rotation = Lavaman.rotation - math.rad(15)

	elseif k == enter then
		Lavaman.curr_anim = Lavaman.sprite.animations_names[next_animation]
		Lavaman.curr_frame = 1
		next_animation = next_animation + 1
		if next_animation > #Lavaman.sprite.animations_names then
			next_animation = 1
		end


	elseif k == 'backspace' then
		Lavaman = GetInstance ("LavamanSprite.lua")

	elseif k == 'escape' then
		love.event.quit()
	end
end

function love.keyreleased (k)
end

